package net.meltingwax.anonircd.bots.tests;

import net.meltingwax.anonircd.bots.AdminServHelp;
import net.meltingwax.anonircd.bots.excepts.*;
import junit.framework.TestCase;
import java.util.*;


public class AdminServHelpTest extends TestCase {
    
    public void testGetFullHelp() {
       	List<String> lines = (new AdminServHelp()).getFullHelp();
	assertNotNull(lines);
	assertFalse(lines.isEmpty());
    }


    private void doCommandUsage(String commandName) {
	List<String> lines;

	try {
	    lines = (new AdminServHelp()).getCommandUsage(commandName);
	} catch (CommandNotFoundException e) {
	    fail();
	    return; // so later code can say lines is garunteed initialized
	}

	assertNotNull("Got null response for getCommandUsage with [" + commandName + "]", lines);	
	assertFalse(lines.isEmpty());
    }
    

    public void testKnownCommands() {
	String[] commands = {"asSign", "baN", "clAim", "heLp", "iDenTify", "kIck", "reGister", "LiSt"};

	for (String command : commands) {
	    doCommandUsage(command.toLowerCase());
	    doCommandUsage(command);
	    doCommandUsage(command.toUpperCase());
	}
    }
}
