package net.meltingwax.anonircd.bots.tests;


import net.meltingwax.anonircd.*;
import net.meltingwax.anonircd.i.*;
import net.meltingwax.anonircd.bots.*;
import net.meltingwax.anonircd.bots.i.*;
import junit.framework.TestCase;
import static org.easymock.EasyMock.*;


public class AdminServTest extends TestCase {
    
    /**
     * Helper function.
     * @returns a1.length == a2.length and (for all i &lt; N: a1[i].equals(a2[i]))
     */
    private boolean arrayOfStringsEqual(String[] a1, String[] a2) {
        if (a1.length != a2.length)
            return false;

        for (int i=0; i < a1.length; i++) 
            if (! a1[i].equals(a2[i])) 
                return false;

        return true;
    }

    /**
     * Tests the getLineArgs function
     */
    public void testGetLineArgs() {
        String[] expected;
        String[] got;

        expected = Utils.makeStringArray();
        got = AdminServ.getLineArgs("AAA");
        assertTrue(arrayOfStringsEqual(expected, got));

        expected = Utils.makeStringArray("bbb");
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA bbb")));
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA  bbb")));
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA  bbb ")));

        expected = Utils.makeStringArray("bbb", "CcC");
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA bbb CcC")));
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA  bbb CcC ")));
        assertTrue(arrayOfStringsEqual(expected, AdminServ.getLineArgs("AAA     bbb            CcC")));
    }

    
}
