package net.meltingwax.anonircd.excepts;

import net.meltingwax.anonircd.*;
import net.meltingwax.anonircd.i.*;


/**
 * An exception for when an action fails due to the client being banned.
 */
@SuppressWarnings("serial")
public class ClientIsBannedException extends Exception {
    private ChannelParticipant client;
    private Channel channel;

    public ClientIsBannedException(ChannelParticipant client, Channel channel) {
        this.client = client;
        this.channel = channel;
    }
    
    public ChannelParticipant getClient() {
        return client;
    }

    public Channel getChannel() {
        return channel;
    }

}
